Skip to main content
GET
/
price_plans
(DEPRECATED) List price plans
curl --request GET \
  --url https://api.togai.com/price_plans \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.togai.com/price_plans"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.togai.com/price_plans', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "um.1zYnCiM9Bpg.lv25y",
      "version": 1,
      "type": "BILLING",
      "name": "Rides - Pro plan",
      "description": "",
      "status": "DRAFT",
      "usageMeters": [
        "um.1zlQTBWlkeO.lB7fh",
        "um.1zYnCiM9Bpg.1zYn"
      ],
      "pricePlanDetails": {
        "pricingCycleConfig": {
          "interval": "MONTHLY",
          "startOffset": {
            "dayOffset": "4",
            "monthOffset": "NIL"
          },
          "gracePeriod": 3,
          "anniversaryCycle": false
        },
        "supportedCurrencies": [
          "USD"
        ],
        "activeCurrencies": [
          "USD"
        ]
      },
      "updatedAt": "2020-01-01T00:00:00Z",
      "createdAt": "2020-01-01T00:00:00Z"
    }
  ],
  "nextToken": "eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEwMCwgInNvcnRPcmRlciI6ICJhc2MifQ=="
}
{
  "message": "<Reason message>"
}
{
  "message": "<Reason message>"
}
{
  "message": "<Reason message>"
}
{
  "message": "<Reason message>"
}
{
  "message": "<Reason message>"
}
{
  "message": "<Reason message>"
}
Deprecated: This API is deprecated and will be removed in a future release. Please use the List price plans V2 API instead for updated functionality.
type
enum
Type of the price_plan (`BILLING`, `ENTITLEMENT`, `PURCHASE`)
status
enum
Status of the account (`ACTIVE`, `ARCHIVED`)
type
string
status
string

Allowed filter combinations

  • type
  • status
  • type, status
Fields that can be searched on using _search query param
id
string
name
string
description
string
Fields with which the list response can be sorted using _sort query param
id
string
updated_at
string
Default sort order:updated_at DESC, id ASC

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

nextToken
string
Example:

"eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEwMCwgInNvcnRPcmRlciI6ICJhc2MifQ=="

pageSize
number
Example:

10

Response

Response for list price plans request

data
object[]
required
nextToken
string
context
object